# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.lucene.benchmark.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PARALLEL_TASK_THREAD_NAME_PREFIX`
  `"ParallelTaskThread"`

- org.apache.lucene.benchmark.byTask.feeds.DocMaker
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BODY_FIELD`
  `"body"`
  `public static final String`
  `BYTES_FIELD`
  `"bytes"`
  `public static final String`
  `DATE_FIELD`
  `"docdate"`
  `public static final String`
  `DATE_MSEC_FIELD`
  `"docdatenum"`
  `public static final String`
  `ID_FIELD`
  `"docid"`
  `public static final String`
  `NAME_FIELD`
  `"docname"`
  `public static final String`
  `TIME_SEC_FIELD`
  `"doctimesecnum"`
  `public static final String`
  `TITLE_FIELD`
  `"doctitle"`
- org.apache.lucene.benchmark.byTask.feeds.SpatialDocMaker
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SPATIAL_FIELD`
  `"spatial"`
- org.apache.lucene.benchmark.byTask.feeds.TrecContentSource
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DOC`
  `"<DOC>"`
  `public static final String`
  `DOCNO`
  `"<DOCNO>"`
  `public static final String`
  `TERMINATING_DOC`
  `"</DOC>"`
  `public static final String`
  `TERMINATING_DOCNO`
  `"</DOCNO>"`

- org.apache.lucene.benchmark.byTask.tasks.AddIndexesTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADDINDEXES_INPUT_DIR`
  `"addindexes.input.dir"`
- org.apache.lucene.benchmark.byTask.tasks.OpenIndexTask
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_BUFFERED`
  `-1`
  `public static final int`
  `DEFAULT_MERGE_PFACTOR`
  `10`
  `public static final double`
  `DEFAULT_RAM_FLUSH_MB`
  `16.0`
- org.apache.lucene.benchmark.byTask.tasks.OpenReaderTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `USER_DATA`
  `"userData"`
- org.apache.lucene.benchmark.byTask.tasks.ReportTask
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ELAPSED`
  `" elapsedSec"`
  `protected static final String`
  `OP`
  `"Operation "`
  `protected static final String`
  `RECCNT`
  `" recsPerRun"`
  `protected static final String`
  `RECSEC`
  `" rec/s"`
  `protected static final String`
  `ROUND`
  `" round"`
  `protected static final String`
  `RUNCNT`
  `" runCnt"`
  `protected static final String`
  `TOTMEM`
  `" avgTotalMem"`
  `protected static final String`
  `USEDMEM`
  `" avgUsedMem"`
- org.apache.lucene.benchmark.byTask.tasks.TaskSequence
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `REPEAT_EXHAUST`
  `-2`
- org.apache.lucene.benchmark.byTask.tasks.WriteLineDocTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_SUFFICIENT_FIELDS`
  `"doctitle,body"`
  `public static final String`
  `FIELDS_HEADER_INDICATOR`
  `"FIELDS_HEADER_INDICATOR###"`
  `public static final char`
  `SEP`
  `'\t'`

- org.apache.lucene.benchmark.byTask.utils.StreamUtils
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BUFFER_SIZE`
  `65536`

- org.apache.lucene.benchmark.quality.QualityStats
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_POINTS`
  `20`